# First time contributors

We happily welcome our new contributors to this
community. If you are contributing to the CNCF
and/or TAG-Security for the first time it is
okay if you feel overwhelmed. We, as a
community, are always there to help you
with any problems you are facing.
Open source is about collaboration and
we are always there to support
each other.

## Getting involved and contributing

As a new contributor, you might find
difficulties in understanding where to start.
Don't worry! We got you.

In the interest of getting more new people
involved, we have issues marked as
[good-first-issues](https://github.com/cncf/tag-security/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22).
These are issues that have a smaller scope,
and are great to start with.

The good-first-issues should also provide
you details on how to get things resolved or
how to proceed. If you find it is missing or
incomplete please tag the person who created
the issue and let them know.

## Before your first PR

Before you make you first PR, we would like
you to go through the below resources
for your understanding:

- [How to submit contributions](https://opensource.guide/how-to-contribute/#how-to-submit-a-contribution)
- [Collaborating with pull requests](https://docs.github.com/en/github/collaborating-with-pull-requests)

Our PR also follows a particular writing
style. Checkout the [style guide](https://github.com/cncf/tag-security/blob/main/CONTRIBUTING/writing-style.md).

## Other ways of communication

If have additional questions or
doubts about a certain issue.
Please reach out and we will
be happy to discuss.

You can reach us via our [Mailing List](mailto:cncf-tag-security-leads@lists.cncf.io).

You can also reach out on our slack [#tag-security-governance](https://cloud-native.slack.com/archives/C0230RW8V2T).

### You can reach out to our members

Our members list can be found
[here](https://github.com/cncf/tag-security#members).

## After PR merge

Once you have successfully get your
first PR merged, you can add your name
to our Members section in [README.md](https://github.com/cncf/tag-security#members).
