# Chair transition checklist

This checklist should be copied into a new issue for when a new chair(s) is needed.

## Nomination

This serves to augment the [Security TAG Chair proposal
process](chair-proposal-process.md) with specific items that must be completed.

* [ ] Nomination
  * [ ] TOC-Liaison slack discussion and approval
  * [ ] Co-chair & Tech Lead meeting announcement
  * [ ] Security TAG Meeting announcement -- all regions
  * [ ] TOC email list official nomination
  * [ ] #tag-security slack message with a link to the email nomination
  * [ ] TOC meeting presentation
* [ ] Vote - official count recorded and posted

## Transfer

* [ ] Transfer Logistics
  * [ ] #tag-chairs slack channel - add new chair(s)
  * [ ] tag-chairs mailing list - add new chair(s)
  * [ ] #tag-security-cochairs channel - add new chair(s)
  * [ ] #tag-security-cochairs-emeritus - add outgoing chair(s)
  * [ ] #tag-security-toc-liaison - add new chair(s)
  * [ ] Co-chair meeting - add new co-chairs and add doc sharing
  * [ ] transfer ownership of co-chair meeting calendar invite
    and tech lead calendar invite - if applicable
    * [ ] New meeting link will need created by new calendar owner if using
      Google meet.  meet.new will create this, just copy into invite or
      transition to Zoom
  * [ ] TOC Liaison meeting
    * [ ] Check if the time still works for new chair(s)
    * [ ] Transfer calender ownership if needed
    * [ ] Add new co-chair(s) to calendar invitation
    * [ ] Share meeting notes doc
  * [ ] Choose new chair representative for Security TAG [on-going
    projects](https://github.com/cncf/tag-security#on-going-projects) if needed.
  * [ ] add chair to [github team](https://github.com/orgs/cncf/teams/sig-security/)
  * [ ] tag-security repo PR:
    * [ ] Update codeowners, github settings, README (TOC Liaisons and chairs
      have admin access, tech leads have push access).
    * [ ] Link to official vote email list message in PR descriptions
  * [ ] [TOC Repo update](https://github.com/cncf/toc/blob/main/tags/security.md)
  * [ ] [Service Desk Access](https://cncfservicedesk.atlassian.net/servicedesk/customer/portal/1)
  * [ ] Update email lists
    * [ ] update email list membership
    * [ ] chairs should have moderator role
    * [ ] remove old chairs from chairs list
  * [ ] Verify new chairs have zoom credentials
  * [ ] YouTube Channel
    * [ ] invite new chairs (if needed)
    * [ ] give "owners" permission

## De-provisioning

Reverse all above transfer steps to TL level, and in addition:

* [ ] Transfer ownership of all documents
  * [ ] Co-Chairs meeting notes
  * [ ] Leadership meeting notes,
  * [ ] TOC Liaison meeting notes
  * [ ] Credentials doc
* [ ] Transfer ownership of calendar invites
  * [ ] Co-chairs meeting
  * [ ] Leadership meeting

## Announce

* [ ] Announce the vote
  * [ ] #tag-security slack message
  * [ ] email message to the tag-security list
  * [ ] Security TAG meeting Announcement for each region
