# Security TAG presentations

Part of the STAG activities include having guest presentations by members of the community.
We welcome any topic related to our mission and charter. Typical topics include projects,
real-world use-cases, challenges or success stories. However, presentations must follow the
following guidelines.

## Guidelines

- Presentations are encouraged to expose the TAG to cloud native open source projects, cloud native security concepts, and other cloud native or security groups.
- Presentations should fit with [our charter](https://github.com/cncf/tag-security/blob/main/governance/charter.md)
- Presentations should not be scheduled on the Agenda until the issue is filled in and the TAG representative has performed due diligence on the issue
- Presentations should abide by the CNCF code of conduct

Examples of topics that are within scope:
- Open source project presentations
- Security use-cases and case studies
- Open source community efforts - whitepapers, communities, standards, etc.

Examples of topics that do NOT meet the guidelines:
- Vendor pitches and marketing heavy presentations
- Topics unrelated to security
- Topics that are help desk questions, that have a definitive, known searchable answer
