## Goal

The [SAFE roadmap](../roadmap.md) includes describing the landscape of
cloud-native security. We evaluated categories in the
[CNCF Landscape](https://landscape.cncf.io/) and
determined the need for a [modified approach](approach.md).

We propose [categories](categories.md) as a draft structure for a “Cloud Native
Security Landscape”. We drafted this document after reviewing the current list
of projects in the CNCF Landscape and recommendations by SANS and Gartner for
good security practices, as well as drawing on the experience of the SAFE WG.

## Landscape Process

- [X] Draft [categories](categories.md)
- [ ] Review / Revise categories after whitepaper draft - [issue#138](https://github.com/cncf/tag-security/issues/138)
- [ ] Determine [approach to category mapping](approach.md#mapping)
- [ ] Map cloud-native tools into categories (adjusting categories as needed)
- [ ] Validate categories and landscape with review by makers and users of
    cloud-native security solutions, as well as partner working groups


